| Version: 3.1.5

Public Member Functions | List of all members
wxPGVIterator Class Reference

`#include </home/Hamis/wxwidgets-3.1/wxWidgets3.1-3.1.5-1.i686/src/wxWidgets-3.1.5/interface/wx/propgrid/propgridpagestate.h>`

## Detailed Description

# wxPGVIterator

Abstract implementation of a simple iterator. Can only be used to iterate in forward order, and only through the entire container. Used to have functions dealing with all properties work with both wxPropertyGrid and wxPropertyGridManager.

## Public Member Functions
| wxPGVIterator ()
| wxPGVIterator (wxPGVIteratorBase *obj)
| ~wxPGVIterator ()
void | UnRef ()
| wxPGVIterator (const wxPGVIterator &it)
const wxPGVIterator & | operator= (const wxPGVIterator &it)
void | Next ()
bool | AtEnd () const
wxPGProperty * | GetProperty () const

## Constructor & Destructor Documentation

## ◆ wxPGVIterator() [1/3]

wxPGVIterator::wxPGVIterator | ( |  | ) |

## ◆ wxPGVIterator() [2/3]

wxPGVIterator::wxPGVIterator | ( | wxPGVIteratorBase * | obj | ) |

## ◆ ~wxPGVIterator()

wxPGVIterator::~wxPGVIterator | ( |  | ) |

## ◆ wxPGVIterator() [3/3]

wxPGVIterator::wxPGVIterator | ( | const wxPGVIterator & | it | ) |

## Member Function Documentation

## ◆ AtEnd()

bool wxPGVIterator::AtEnd | ( |  | ) | const

## ◆ GetProperty()

wxPGProperty * wxPGVIterator::GetProperty | ( |  | ) | const

## ◆ Next()

void wxPGVIterator::Next | ( |  | ) |

## ◆ operator=()

const wxPGVIterator & wxPGVIterator::operator= | ( | const wxPGVIterator & | it | ) |

## ◆ UnRef()

void wxPGVIterator::UnRef | ( |  | ) |